Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.xml
Class Problem

    java.lang.Object
      org.jbpm.jpdl.xml.Problem

All Implemented Interfaces:
  java.io.Serializable

    public class Problem

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `description`
`protected java.lang.Throwable` | `exception`
`protected java.lang.String` | `folder`
`protected int` | `level`
`static int` | `LEVEL_ERROR`
`static int` | `LEVEL_FATAL`
`static int` | `LEVEL_INFO`
`static int` | `LEVEL_WARNING`
`protected java.lang.Integer` | `line`
`protected java.lang.String` | `resource`

Constructor Summary
`Problem(int level, java.lang.String description)`
`Problem(int level, java.lang.String description, java.lang.Throwable exception)`

Method Summary
`static boolean` | `containsProblemsOfLevel(java.util.Collection c, int level)`
`java.lang.String` | `getDescription()`
`java.lang.Throwable` | `getException()`
`java.lang.String` | `getFolder()`
`int` | `getLevel()`
`java.lang.Integer` | `getLine()`
`java.lang.String` | `getResource()`
`void` | `setDescription(java.lang.String description)`
`void` | `setException(java.lang.Throwable exception)`
`void` | `setFolder(java.lang.String folder)`
`void` | `setLine(java.lang.Integer line)`
`void` | `setResource(java.lang.String resource)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEVEL_FATAL

    public static final int LEVEL_FATAL

See Also:
  Constant Field Values

### LEVEL_ERROR

    public static final int LEVEL_ERROR

See Also:
  Constant Field Values

### LEVEL_WARNING

    public static final int LEVEL_WARNING

See Also:
  Constant Field Values

### LEVEL_INFO

    public static final int LEVEL_INFO

See Also:
  Constant Field Values

### level

    protected int level

### description

    protected java.lang.String description

### resource

    protected java.lang.String resource

### folder

    protected java.lang.String folder

### line

    protected java.lang.Integer line

### exception

    protected java.lang.Throwable exception

Constructor Detail

### Problem

    public Problem(int level,
                   java.lang.String description)

### Problem

    public Problem(int level,
                   java.lang.String description,
                   java.lang.Throwable exception)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### containsProblemsOfLevel

    public static boolean containsProblemsOfLevel(java.util.Collection c,
                                                  int level)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getException

    public java.lang.Throwable getException()

### setException

    public void setException(java.lang.Throwable exception)

### getFolder

    public java.lang.String getFolder()

### setFolder

    public void setFolder(java.lang.String folder)

### getLine

    public java.lang.Integer getLine()

### setLine

    public void setLine(java.lang.Integer line)

### getResource

    public java.lang.String getResource()

### setResource

    public void setResource(java.lang.String resource)

### getLevel

    public int getLevel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD